import os
from pathlib import Path

from praetorian_cli.sdk.account import Account
from praetorian_cli.sdk.chaos import Chaos
from praetorian_cli.sdk.test import BaseTest


class TestSeed(BaseTest):

    def setup_class(self):
        self.chaos, self.username = BaseTest.setup_chaos(self)
        print(self.username)
        self.seed = "contoso.com"

    def test_add_seed(self):
        response = self.chaos.add_seed(self.seed)
        assert response['seed'] == self.seed

    def test_my_seed(self):
        response = self.chaos.my(dict(composite=f'#seed#{self.seed}'))
        for my_seed in response['seeds']:
            assert my_seed['username'] == self.username, f"Seed did not have username = {self.username}"
            assert my_seed['seed'] in self.seed

    def test_delete_seed(self):
        response = self.chaos.delete_seed(self.seed)
        assert response['seed'] == self.seed
